/*
 * Copyright (c) 2011 Intel Corporation. All Rights Reserved.
 * Copyright (c) Imagination Technologies Limited, UK
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sub license, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
 * IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


/*!
******************************************************************************
@file   : /work/sim/msvdx/register_includes/msvdx_cmds_io2.h

@brief

@Author <Autogenerated>

<b>Description:</b>\n
                This file contains the MSVDX_CMDS_IO2_H Defintions.

<b>Platform:</b>\n
                ?

@Version
                1.0

******************************************************************************/

#if !defined (__MSVDX_CMDS_IO2_H__)
#define __MSVDX_CMDS_IO2_H__

#ifdef __cplusplus
extern "C" {
#endif

#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_OFFSET		(0x0060)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_STRIDE		(4)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_NO_ENTRIES		(4)

// MSVDX_CMDS, HORIZONTAL_LUMA_COEFFICIENTS, HOR_LUMA_COEFF_3
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_3_MASK		(0xFF000000)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_3_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_3_SHIFT		(24)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_3_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_LUMA_COEFFICIENTS, HOR_LUMA_COEFF_2
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_2_MASK		(0x00FF0000)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_2_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_2_SHIFT		(16)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_2_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_LUMA_COEFFICIENTS, HOR_LUMA_COEFF_1
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_1_MASK		(0x0000FF00)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_1_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_1_SHIFT		(8)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_1_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_LUMA_COEFFICIENTS, HOR_LUMA_COEFF_0
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_0_MASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_0_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_0_SHIFT		(0)
#define MSVDX_CMDS_HORIZONTAL_LUMA_COEFFICIENTS_HOR_LUMA_COEFF_0_SIGNED_FIELD	IMG_FALSE

#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_OFFSET		(0x0070)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_STRIDE		(4)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_NO_ENTRIES		(4)

// MSVDX_CMDS, VERTICAL_LUMA_COEFFICIENTS, VER_LUMA_COEFF_3
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_3_MASK		(0xFF000000)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_3_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_3_SHIFT		(24)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_3_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_LUMA_COEFFICIENTS, VER_LUMA_COEFF_2
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_2_MASK		(0x00FF0000)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_2_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_2_SHIFT		(16)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_2_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_LUMA_COEFFICIENTS, VER_LUMA_COEFF_1
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_1_MASK		(0x0000FF00)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_1_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_1_SHIFT		(8)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_1_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_LUMA_COEFFICIENTS, VER_LUMA_COEFF_0
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_0_MASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_0_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_0_SHIFT		(0)
#define MSVDX_CMDS_VERTICAL_LUMA_COEFFICIENTS_VER_LUMA_COEFF_0_SIGNED_FIELD	IMG_FALSE

#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_OFFSET		(0x0080)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_STRIDE		(4)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_NO_ENTRIES		(4)

// MSVDX_CMDS, HORIZONTAL_CHROMA_COEFFICIENTS, HOR_CHROMA_COEFF_3
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_3_MASK		(0xFF000000)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_3_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_3_SHIFT		(24)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_3_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_CHROMA_COEFFICIENTS, HOR_CHROMA_COEFF_2
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_2_MASK		(0x00FF0000)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_2_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_2_SHIFT		(16)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_2_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_CHROMA_COEFFICIENTS, HOR_CHROMA_COEFF_1
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_1_MASK		(0x0000FF00)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_1_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_1_SHIFT		(8)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_1_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_CHROMA_COEFFICIENTS, HOR_CHROMA_COEFF_0
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_0_MASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_0_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_0_SHIFT		(0)
#define MSVDX_CMDS_HORIZONTAL_CHROMA_COEFFICIENTS_HOR_CHROMA_COEFF_0_SIGNED_FIELD	IMG_FALSE

#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_OFFSET		(0x0090)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_STRIDE		(4)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_NO_ENTRIES		(4)

// MSVDX_CMDS, VERTICAL_CHROMA_COEFFICIENTS, VER_CHROMA_COEFF_3
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_3_MASK		(0xFF000000)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_3_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_3_SHIFT		(24)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_3_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_CHROMA_COEFFICIENTS, VER_CHROMA_COEFF_2
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_2_MASK		(0x00FF0000)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_2_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_2_SHIFT		(16)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_2_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_CHROMA_COEFFICIENTS, VER_CHROMA_COEFF_1
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_1_MASK		(0x0000FF00)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_1_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_1_SHIFT		(8)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_1_SIGNED_FIELD	IMG_FALSE

// MSVDX_CMDS, VERTICAL_CHROMA_COEFFICIENTS, VER_CHROMA_COEFF_0
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_0_MASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_0_LSBMASK		(0x000000FF)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_0_SHIFT		(0)
#define MSVDX_CMDS_VERTICAL_CHROMA_COEFFICIENTS_VER_CHROMA_COEFF_0_SIGNED_FIELD	IMG_FALSE

#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_OFFSET              (0x0100)
#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_STRIDE              (4)
#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_NO_ENTRIES          (32)

// MSVDX_CMDS     REFERENCE_PICTURE_BASE_ADDRESSES     REF_BASE_ADDR
#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_REF_BASE_ADDR_MASK          (0xFFFFF000)
#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_REF_BASE_ADDR_LSBMASK               (0x000FFFFF)
#define MSVDX_CMDS_REFERENCE_PICTURE_BASE_ADDRESSES_REF_BASE_ADDR_SHIFT         (12)

#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_OFFSET               (0x0200)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_STRIDE               (4)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_NO_ENTRIES           (32)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_A     CR_WEIGHT_A
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CR_WEIGHT_A_MASK             (0x07FC0000)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CR_WEIGHT_A_LSBMASK          (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CR_WEIGHT_A_SHIFT            (18)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_A     CB_WEIGHT_A
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CB_WEIGHT_A_MASK             (0x0003FE00)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CB_WEIGHT_A_LSBMASK          (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_CB_WEIGHT_A_SHIFT            (9)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_A     Y_WEIGHT_A
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_Y_WEIGHT_A_MASK              (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_Y_WEIGHT_A_LSBMASK           (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_A_Y_WEIGHT_A_SHIFT             (0)

#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_OFFSET                (0x0280)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_STRIDE                (4)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_NO_ENTRIES            (32)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_A     CR_OFFSET_A
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CR_OFFSET_A_MASK              (0x00FF0000)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CR_OFFSET_A_LSBMASK           (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CR_OFFSET_A_SHIFT             (16)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_A     CB_OFFSET_A
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CB_OFFSET_A_MASK              (0x0000FF00)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CB_OFFSET_A_LSBMASK           (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_CB_OFFSET_A_SHIFT             (8)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_A     Y_OFFSET_A
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_Y_OFFSET_A_MASK               (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_Y_OFFSET_A_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_A_Y_OFFSET_A_SHIFT              (0)

#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_OFFSET               (0x0300)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_STRIDE               (4)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_NO_ENTRIES           (32)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_B     CR_WEIGHT_B
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CR_WEIGHT_B_MASK             (0x07FC0000)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CR_WEIGHT_B_LSBMASK          (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CR_WEIGHT_B_SHIFT            (18)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_B     CB_WEIGHT_B
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CB_WEIGHT_B_MASK             (0x0003FE00)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CB_WEIGHT_B_LSBMASK          (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_CB_WEIGHT_B_SHIFT            (9)

// MSVDX_CMDS     H264_WEIGHTED_FACTORS_B     Y_WEIGHT_B
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_Y_WEIGHT_B_MASK              (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_Y_WEIGHT_B_LSBMASK           (0x000001FF)
#define MSVDX_CMDS_H264_WEIGHTED_FACTORS_B_Y_WEIGHT_B_SHIFT             (0)

#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_OFFSET                (0x0380)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_STRIDE                (4)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_NO_ENTRIES            (32)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_B     CR_OFFSET_B
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CR_OFFSET_B_MASK              (0x00FF0000)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CR_OFFSET_B_LSBMASK           (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CR_OFFSET_B_SHIFT             (16)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_B     CB_OFFSET_B
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CB_OFFSET_B_MASK              (0x0000FF00)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CB_OFFSET_B_LSBMASK           (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_CB_OFFSET_B_SHIFT             (8)

// MSVDX_CMDS     H264_WEIGHTED_OFFSET_B     Y_OFFSET_B
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_Y_OFFSET_B_MASK               (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_Y_OFFSET_B_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_H264_WEIGHTED_OFFSET_B_Y_OFFSET_B_SHIFT              (0)

#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_OFFSET                (0x041C)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_STRIDE                (4)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_NO_ENTRIES            (5)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION     INTRA_PRED_BLOCK_SIZE
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_BLOCK_SIZE_MASK            (0x00070000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_BLOCK_SIZE_LSBMASK         (0x00000007)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_BLOCK_SIZE_SHIFT           (16)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION     INTRA_PRED_MODE3
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE3_MASK         (0x0000F000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE3_LSBMASK              (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE3_SHIFT                (12)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION     INTRA_PRED_MODE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE2_MASK         (0x00000F00)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE2_LSBMASK              (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE2_SHIFT                (8)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION     INTRA_PRED_MODE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE1_MASK         (0x000000F0)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE1_LSBMASK              (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE1_SHIFT                (4)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION     INTRA_PRED_MODE0
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE0_MASK         (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE0_LSBMASK              (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_INTRA_PRED_MODE0_SHIFT                (0)

#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_OFFSET                (0x0430)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_STRIDE                (4)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_NO_ENTRIES            (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     WEIGHT_INDEX_B
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_B_MASK           (0x3E000000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_B_LSBMASK                (0x0000001F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_B_SHIFT          (25)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     WEIGHT_INDEX_A
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_A_MASK           (0x01F00000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_A_LSBMASK                (0x0000001F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_WEIGHT_INDEX_A_SHIFT          (20)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     INTER_PRED_BLOCK_SIZE
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_INTER_PRED_BLOCK_SIZE_MASK            (0x00070000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_INTER_PRED_BLOCK_SIZE_LSBMASK         (0x00000007)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_INTER_PRED_BLOCK_SIZE_SHIFT           (16)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_B_INTERLACED
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_B_INTERLACED_MASK         (0x00004000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_B_INTERLACED_LSBMASK              (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_B_INTERLACED_SHIFT                (14)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_B_VALID
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_VALID_MASK                (0x00002000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_VALID_LSBMASK             (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_VALID_SHIFT               (13)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_FIELD_B
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_B_MASK                (0x00001000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_B_LSBMASK             (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_B_SHIFT               (12)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_B
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_MASK              (0x00000F00)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_LSBMASK           (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_B_SHIFT             (8)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_A_INTERLACED
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_A_INTERLACED_MASK         (0x00000040)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_A_INTERLACED_LSBMASK              (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_A_INTERLACED_SHIFT                (6)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_A_VALID
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_VALID_MASK                (0x00000020)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_VALID_LSBMASK             (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_VALID_SHIFT               (5)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_FIELD_A
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_A_MASK                (0x00000010)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_A_LSBMASK             (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_FIELD_A_SHIFT               (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION     REF_INDEX_A
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_MASK              (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_LSBMASK           (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_REF_INDEX_A_SHIFT             (0)

#define MSVDX_CMDS_MOTION_VECTOR_OFFSET         (0x0500)
#define MSVDX_CMDS_MOTION_VECTOR_STRIDE         (4)
#define MSVDX_CMDS_MOTION_VECTOR_NO_ENTRIES             (32)

// MSVDX_CMDS     MOTION_VECTOR     MV_Y
#define MSVDX_CMDS_MOTION_VECTOR_MV_Y_MASK              (0x03FFC000)
#define MSVDX_CMDS_MOTION_VECTOR_MV_Y_LSBMASK           (0x00000FFF)
#define MSVDX_CMDS_MOTION_VECTOR_MV_Y_SHIFT             (14)

// MSVDX_CMDS     MOTION_VECTOR     MV_X
#define MSVDX_CMDS_MOTION_VECTOR_MV_X_MASK              (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_MV_X_LSBMASK           (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_MV_X_SHIFT             (0)

#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_OFFSET         (0x061C)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_STRIDE         (4)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_NO_ENTRIES             (5)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE1     INTRA_PRED_BLOCK_SIZE_ABOVE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_BLOCK_SIZE_ABOVE1_MASK              (0x00070000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_BLOCK_SIZE_ABOVE1_LSBMASK           (0x00000007)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_BLOCK_SIZE_ABOVE1_SHIFT             (16)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE1     INTRA_PRED_MODE3_ABOVE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE3_ABOVE1_MASK           (0x0000F000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE3_ABOVE1_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE3_ABOVE1_SHIFT          (12)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE1     INTRA_PRED_MODE2_ABOVE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE2_ABOVE1_MASK           (0x00000F00)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE2_ABOVE1_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE2_ABOVE1_SHIFT          (8)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE1     INTRA_PRED_MODE1_ABOVE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE1_ABOVE1_MASK           (0x000000F0)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE1_ABOVE1_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE1_ABOVE1_SHIFT          (4)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE1     INTRA_PRED_MODE0_ABOVE1
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE0_ABOVE1_MASK           (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE0_ABOVE1_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE1_INTRA_PRED_MODE0_ABOVE1_SHIFT          (0)

#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_OFFSET         (0x0630)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_STRIDE         (4)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_NO_ENTRIES             (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     INTER_PRED_BLOCK_SIZE_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_INTER_PRED_BLOCK_SIZE_ABOVE1_MASK              (0x00070000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_INTER_PRED_BLOCK_SIZE_ABOVE1_LSBMASK           (0x00000007)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_INTER_PRED_BLOCK_SIZE_ABOVE1_SHIFT             (16)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_B_VALID_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_VALID_ABOVE1_MASK          (0x00002000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_VALID_ABOVE1_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_VALID_ABOVE1_SHIFT         (13)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_FIELD_B_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_B_ABOVE1_MASK          (0x00001000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_B_ABOVE1_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_B_ABOVE1_SHIFT         (12)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_B_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_ABOVE1_MASK                (0x00000F00)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_ABOVE1_LSBMASK             (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_B_ABOVE1_SHIFT               (8)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_A_VALID_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_VALID_ABOVE1_MASK          (0x00000020)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_VALID_ABOVE1_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_VALID_ABOVE1_SHIFT         (5)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_FIELD_A_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_A_ABOVE1_MASK          (0x00000010)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_A_ABOVE1_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_FIELD_A_ABOVE1_SHIFT         (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE1     REF_INDEX_A_ABOVE1
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_ABOVE1_MASK                (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_ABOVE1_LSBMASK             (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE1_REF_INDEX_A_ABOVE1_SHIFT               (0)

#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_OFFSET          (0x0700)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_STRIDE          (4)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_NO_ENTRIES              (32)

// MSVDX_CMDS     MOTION_VECTOR_ABOVE1     MV_Y_ABOVE1
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_Y_ABOVE1_MASK                (0x03FFC000)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_Y_ABOVE1_LSBMASK             (0x00000FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_Y_ABOVE1_SHIFT               (14)

// MSVDX_CMDS     MOTION_VECTOR_ABOVE1     MV_X_ABOVE1
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_X_ABOVE1_MASK                (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_X_ABOVE1_LSBMASK             (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE1_MV_X_ABOVE1_SHIFT               (0)

#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_OFFSET         (0x081C)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_STRIDE         (4)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_NO_ENTRIES             (5)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE2     INTRA_PRED_BLOCK_SIZE_ABOVE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_BLOCK_SIZE_ABOVE2_MASK              (0x00070000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_BLOCK_SIZE_ABOVE2_LSBMASK           (0x00000007)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_BLOCK_SIZE_ABOVE2_SHIFT             (16)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE2     INTRA_PRED_MODE3_ABOVE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE3_ABOVE2_MASK           (0x0000F000)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE3_ABOVE2_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE3_ABOVE2_SHIFT          (12)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE2     INTRA_PRED_MODE2_ABOVE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE2_ABOVE2_MASK           (0x00000F00)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE2_ABOVE2_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE2_ABOVE2_SHIFT          (8)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE2     INTRA_PRED_MODE1_ABOVE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE1_ABOVE2_MASK           (0x000000F0)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE1_ABOVE2_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE1_ABOVE2_SHIFT          (4)

// MSVDX_CMDS     INTRA_BLOCK_PREDICTION_ABOVE2     INTRA_PRED_MODE0_ABOVE2
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE0_ABOVE2_MASK           (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE0_ABOVE2_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_INTRA_BLOCK_PREDICTION_ABOVE2_INTRA_PRED_MODE0_ABOVE2_SHIFT          (0)

#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_OFFSET         (0x0830)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_STRIDE         (4)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_NO_ENTRIES             (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     INTER_PRED_BLOCK_SIZE_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_INTER_PRED_BLOCK_SIZE_ABOVE2_MASK              (0x00070000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_INTER_PRED_BLOCK_SIZE_ABOVE2_LSBMASK           (0x00000007)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_INTER_PRED_BLOCK_SIZE_ABOVE2_SHIFT             (16)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_B_VALID_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_VALID_ABOVE2_MASK          (0x00002000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_VALID_ABOVE2_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_VALID_ABOVE2_SHIFT         (13)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_FIELD_B_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_B_ABOVE2_MASK          (0x00001000)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_B_ABOVE2_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_B_ABOVE2_SHIFT         (12)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_B_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_ABOVE2_MASK                (0x00000F00)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_ABOVE2_LSBMASK             (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_B_ABOVE2_SHIFT               (8)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_A_VALID_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_VALID_ABOVE2_MASK          (0x00000020)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_VALID_ABOVE2_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_VALID_ABOVE2_SHIFT         (5)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_FIELD_A_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_A_ABOVE2_MASK          (0x00000010)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_A_ABOVE2_LSBMASK               (0x00000001)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_FIELD_A_ABOVE2_SHIFT         (4)

// MSVDX_CMDS     INTER_BLOCK_PREDICTION_ABOVE2     REF_INDEX_A_ABOVE2
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_ABOVE2_MASK                (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_ABOVE2_LSBMASK             (0x0000000F)
#define MSVDX_CMDS_INTER_BLOCK_PREDICTION_ABOVE2_REF_INDEX_A_ABOVE2_SHIFT               (0)

#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_OFFSET          (0x0900)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_STRIDE          (4)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_NO_ENTRIES              (32)

// MSVDX_CMDS     MOTION_VECTOR_ABOVE2     MV_Y_ABOVE2
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_Y_ABOVE2_MASK                (0x03FFC000)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_Y_ABOVE2_LSBMASK             (0x00000FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_Y_ABOVE2_SHIFT               (14)

// MSVDX_CMDS     MOTION_VECTOR_ABOVE2     MV_X_ABOVE2
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_X_ABOVE2_MASK                (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_X_ABOVE2_LSBMASK             (0x00003FFF)
#define MSVDX_CMDS_MOTION_VECTOR_ABOVE2_MV_X_ABOVE2_SHIFT               (0)

#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_OFFSET          (0x0000)

// MSVDX_CMDS     DISPLAY_PICTURE_SIZE     DISPLAY_PICTURE_HEIGHT
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_HEIGHT_MASK             (0x00FFF000)
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_HEIGHT_LSBMASK          (0x00000FFF)
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_HEIGHT_SHIFT            (12)

// MSVDX_CMDS     DISPLAY_PICTURE_SIZE     DISPLAY_PICTURE_WIDTH
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_WIDTH_MASK              (0x00000FFF)
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_WIDTH_LSBMASK           (0x00000FFF)
#define MSVDX_CMDS_DISPLAY_PICTURE_SIZE_DISPLAY_PICTURE_WIDTH_SHIFT             (0)

#define MSVDX_CMDS_CODED_PICTURE_SIZE_OFFSET            (0x0004)

// MSVDX_CMDS     CODED_PICTURE_SIZE     CODED_PICTURE_HEIGHT
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_HEIGHT_MASK         (0x00FFF000)
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_HEIGHT_LSBMASK              (0x00000FFF)
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_HEIGHT_SHIFT                (12)

// MSVDX_CMDS     CODED_PICTURE_SIZE     CODED_PICTURE_WIDTH
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_WIDTH_MASK          (0x00000FFF)
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_WIDTH_LSBMASK               (0x00000FFF)
#define MSVDX_CMDS_CODED_PICTURE_SIZE_CODED_PICTURE_WIDTH_SHIFT         (0)

#define MSVDX_CMDS_OPERATING_MODE_OFFSET                (0x0008)

// MSVDX_CMDS, OPERATING_MODE, USE_EXT_ROW_STRIDE
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_MASK               (0x10000000)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_LSBMASK            (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_SHIFT              (28)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_SIGNED_FIELD       IMG_FALSE

// MSVDX_CMDS     OPERATING_MODE     CHROMA_INTERLEAVED
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_INTERLEAVED_MASK               (0x08000000)
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_INTERLEAVED_LSBMASK            (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_INTERLEAVED_SHIFT              (27)
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_INTERLEAVED_SIGNED_FIELD       IMG_FALSE

// MSVDX_CMDS     OPERATING_MODE     ROW_STRIDE
#define MSVDX_CMDS_OPERATING_MODE_ROW_STRIDE_MASK               (0x07000000)
#define MSVDX_CMDS_OPERATING_MODE_ROW_STRIDE_LSBMASK            (0x00000007)
#define MSVDX_CMDS_OPERATING_MODE_ROW_STRIDE_SHIFT              (24)

// MSVDX_CMDS     OPERATING_MODE     CODEC_PROFILE
#define MSVDX_CMDS_OPERATING_MODE_CODEC_PROFILE_MASK            (0x00300000)
#define MSVDX_CMDS_OPERATING_MODE_CODEC_PROFILE_LSBMASK         (0x00000003)
#define MSVDX_CMDS_OPERATING_MODE_CODEC_PROFILE_SHIFT           (20)

// MSVDX_CMDS     OPERATING_MODE     CODEC_MODE
#define MSVDX_CMDS_OPERATING_MODE_CODEC_MODE_MASK               (0x00070000)
#define MSVDX_CMDS_OPERATING_MODE_CODEC_MODE_LSBMASK            (0x00000007)
#define MSVDX_CMDS_OPERATING_MODE_CODEC_MODE_SHIFT              (16)

// MSVDX_CMDS     OPERATING_MODE     ASYNC_MODE
#define MSVDX_CMDS_OPERATING_MODE_ASYNC_MODE_MASK               (0x00006000)
#define MSVDX_CMDS_OPERATING_MODE_ASYNC_MODE_LSBMASK            (0x00000003)
#define MSVDX_CMDS_OPERATING_MODE_ASYNC_MODE_SHIFT              (13)

// MSVDX_CMDS     OPERATING_MODE     CHROMA_FORMAT
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_FORMAT_MASK            (0x00001000)
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_FORMAT_LSBMASK         (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_CHROMA_FORMAT_SHIFT           (12)

// MSVDX_CMDS     OPERATING_MODE     INTERLACED
#define MSVDX_CMDS_OPERATING_MODE_INTERLACED_MASK               (0x00000800)
#define MSVDX_CMDS_OPERATING_MODE_INTERLACED_LSBMASK            (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_INTERLACED_SHIFT              (11)

// MSVDX_CMDS     OPERATING_MODE     OVERLAP
#define MSVDX_CMDS_OPERATING_MODE_OVERLAP_MASK          (0x00000400)
#define MSVDX_CMDS_OPERATING_MODE_OVERLAP_LSBMASK               (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_OVERLAP_SHIFT         (10)

// MSVDX_CMDS     OPERATING_MODE     PIC_CONDOVER
#define MSVDX_CMDS_OPERATING_MODE_PIC_CONDOVER_MASK             (0x00000300)
#define MSVDX_CMDS_OPERATING_MODE_PIC_CONDOVER_LSBMASK          (0x00000003)
#define MSVDX_CMDS_OPERATING_MODE_PIC_CONDOVER_SHIFT            (8)

// MSVDX_CMDS     OPERATING_MODE     PIC_QUANT
#define MSVDX_CMDS_OPERATING_MODE_PIC_QUANT_MASK                (0x0000001F)
#define MSVDX_CMDS_OPERATING_MODE_PIC_QUANT_LSBMASK             (0x0000001F)
#define MSVDX_CMDS_OPERATING_MODE_PIC_QUANT_SHIFT               (0)

// MSVDX_CMDS, OPERATING_MODE, USE_EXT_ROW_STRIDE
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_MASK               (0x10000000)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_LSBMASK            (0x00000001)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_SHIFT              (28)
#define MSVDX_CMDS_OPERATING_MODE_USE_EXT_ROW_STRIDE_SIGNED_FIELD       IMG_FALSE

#define MSVDX_CMDS_LUMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_OFFSET             (0x000C)

// MSVDX_CMDS     LUMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES     LUMA_RECON_BASE_ADDR
#define MSVDX_CMDS_LUMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_LUMA_RECON_BASE_ADDR_MASK          (0xFFFFF000)
#define MSVDX_CMDS_LUMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_LUMA_RECON_BASE_ADDR_LSBMASK               (0x000FFFFF)
#define MSVDX_CMDS_LUMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_LUMA_RECON_BASE_ADDR_SHIFT         (12)

#define MSVDX_CMDS_CHROMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_OFFSET           (0x0010)

// MSVDX_CMDS     CHROMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES     CHROMA_RECON_BASE_ADDR
#define MSVDX_CMDS_CHROMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_CHROMA_RECON_BASE_ADDR_MASK              (0xFFFFF000)
#define MSVDX_CMDS_CHROMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_CHROMA_RECON_BASE_ADDR_LSBMASK           (0x000FFFFF)
#define MSVDX_CMDS_CHROMA_RECONSTRUCTED_PICTURE_BASE_ADDRESSES_CHROMA_RECON_BASE_ADDR_SHIFT             (12)

#define MSVDX_CMDS_AUX_MSB_BUFFER_BASE_ADDRESSES_OFFSET         (0x0014)

// MSVDX_CMDS     AUX_MSB_BUFFER_BASE_ADDRESSES     AUX_MSB_BUFFER_BASE_ADDR
#define MSVDX_CMDS_AUX_MSB_BUFFER_BASE_ADDRESSES_AUX_MSB_BUFFER_BASE_ADDR_MASK          (0xFFFFF000)
#define MSVDX_CMDS_AUX_MSB_BUFFER_BASE_ADDRESSES_AUX_MSB_BUFFER_BASE_ADDR_LSBMASK               (0x000FFFFF)
#define MSVDX_CMDS_AUX_MSB_BUFFER_BASE_ADDRESSES_AUX_MSB_BUFFER_BASE_ADDR_SHIFT         (12)

#define MSVDX_CMDS_INTRA_BUFFER_BASE_ADDRESS_OFFSET             (0x0018)

// MSVDX_CMDS     INTRA_BUFFER_BASE_ADDRESS     INTRA_BASE_ADDR
#define MSVDX_CMDS_INTRA_BUFFER_BASE_ADDRESS_INTRA_BASE_ADDR_MASK               (0xFFFFFF00)
#define MSVDX_CMDS_INTRA_BUFFER_BASE_ADDRESS_INTRA_BASE_ADDR_LSBMASK            (0x00FFFFFF)
#define MSVDX_CMDS_INTRA_BUFFER_BASE_ADDRESS_INTRA_BASE_ADDR_SHIFT              (8)

#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_OFFSET                (0x001C)

// MSVDX_CMDS     MC_CACHE_CONFIGURATION     CONFIG_REF_OFFSET
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_REF_OFFSET_MASK                (0x00FFF000)
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_REF_OFFSET_LSBMASK             (0x00000FFF)
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_REF_OFFSET_SHIFT               (12)

// MSVDX_CMDS     MC_CACHE_CONFIGURATION     CONFIG_ROW_OFFSET
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_ROW_OFFSET_MASK                (0x00000FFF)
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_ROW_OFFSET_LSBMASK             (0x00000FFF)
#define MSVDX_CMDS_MC_CACHE_CONFIGURATION_CONFIG_ROW_OFFSET_SHIFT               (0)

#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_OFFSET          (0x0020)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_PARAMETER     VC1_LUMSHIFT2
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT2_MASK              (0x00FC0000)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT2_LSBMASK           (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT2_SHIFT             (18)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_PARAMETER     VC1_LUMSCALE2
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE2_MASK              (0x0003F000)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE2_LSBMASK           (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE2_SHIFT             (12)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_PARAMETER     VC1_LUMSHIFT1
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT1_MASK              (0x00000FC0)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT1_LSBMASK           (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSHIFT1_SHIFT             (6)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_PARAMETER     VC1_LUMSCALE1
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE1_MASK              (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE1_LSBMASK           (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_PARAMETER_VC1_LUMSCALE1_SHIFT             (0)

#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_OFFSET           (0x0034)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_BACKWARD     VC1_LUMSHIFT_PREV
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_PREV_MASK           (0x00FC0000)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_PREV_LSBMASK                (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_PREV_SHIFT          (18)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_BACKWARD     VC1_LUMSCALE_PREV
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_PREV_MASK           (0x0003F000)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_PREV_LSBMASK                (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_PREV_SHIFT          (12)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_BACKWARD     VC1_LUMSHIFT_BACK
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_BACK_MASK           (0x00000FC0)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_BACK_LSBMASK                (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSHIFT_BACK_SHIFT          (6)

// MSVDX_CMDS     VC1_INTENSITY_COMPENSATION_BACKWARD     VC1_LUMSCALE_BACK
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_BACK_MASK           (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_BACK_LSBMASK                (0x0000003F)
#define MSVDX_CMDS_VC1_INTENSITY_COMPENSATION_BACKWARD_VC1_LUMSCALE_BACK_SHIFT          (0)

#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_OFFSET              (0x0024)

// MSVDX_CMDS     H264_WEIGHTED_FACTOR_DENOMINATOR     C_LOG2_WEIGHT_DENOM
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_C_LOG2_WEIGHT_DENOM_MASK            (0x00000070)
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_C_LOG2_WEIGHT_DENOM_LSBMASK         (0x00000007)
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_C_LOG2_WEIGHT_DENOM_SHIFT           (4)

// MSVDX_CMDS     H264_WEIGHTED_FACTOR_DENOMINATOR     Y_LOG2_WEIGHT_DENOM
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_Y_LOG2_WEIGHT_DENOM_MASK            (0x00000007)
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_Y_LOG2_WEIGHT_DENOM_LSBMASK         (0x00000007)
#define MSVDX_CMDS_H264_WEIGHTED_FACTOR_DENOMINATOR_Y_LOG2_WEIGHT_DENOM_SHIFT           (0)

#define MSVDX_CMDS_VC1_LUMA_RANGE_MAPPING_BASE_ADDRESS_OFFSET           (0x0028)

// MSVDX_CMDS     VC1_LUMA_RANGE_MAPPING_BASE_ADDRESS     LUMA_RANGE_BASE_ADDR
#define MSVDX_CMDS_VC1_LUMA_RANGE_MAPPING_BASE_ADDRESS_LUMA_RANGE_BASE_ADDR_MASK                (0xFFFFF000)
#define MSVDX_CMDS_VC1_LUMA_RANGE_MAPPING_BASE_ADDRESS_LUMA_RANGE_BASE_ADDR_LSBMASK             (0x000FFFFF)
#define MSVDX_CMDS_VC1_LUMA_RANGE_MAPPING_BASE_ADDRESS_LUMA_RANGE_BASE_ADDR_SHIFT               (12)

#define MSVDX_CMDS_VC1_CHROMA_RANGE_MAPPING_BASE_ADDRESS_OFFSET         (0x002C)

// MSVDX_CMDS     VC1_CHROMA_RANGE_MAPPING_BASE_ADDRESS     CHROMA_RANGE_BASE_ADDR
#define MSVDX_CMDS_VC1_CHROMA_RANGE_MAPPING_BASE_ADDRESS_CHROMA_RANGE_BASE_ADDR_MASK            (0xFFFFF000)
#define MSVDX_CMDS_VC1_CHROMA_RANGE_MAPPING_BASE_ADDRESS_CHROMA_RANGE_BASE_ADDR_LSBMASK         (0x000FFFFF)
#define MSVDX_CMDS_VC1_CHROMA_RANGE_MAPPING_BASE_ADDRESS_CHROMA_RANGE_BASE_ADDR_SHIFT           (12)

#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_OFFSET               (0x0030)

// MSVDX_CMDS     VC1_RANGE_MAPPING_FLAGS     CHROMA_RANGE_MAP_FLAG
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_FLAG_MASK           (0x00000080)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_FLAG_LSBMASK                (0x00000001)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_FLAG_SHIFT          (7)

// MSVDX_CMDS     VC1_RANGE_MAPPING_FLAGS     CHROMA_RANGE_MAP
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_MASK                (0x00000070)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_LSBMASK             (0x00000007)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_CHROMA_RANGE_MAP_SHIFT               (4)

// MSVDX_CMDS     VC1_RANGE_MAPPING_FLAGS     LUMA_RANGE_MAP_FLAG
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_FLAG_MASK             (0x00000008)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_FLAG_LSBMASK          (0x00000001)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_FLAG_SHIFT            (3)

// MSVDX_CMDS     VC1_RANGE_MAPPING_FLAGS     LUMA_RANGE_MAP
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_MASK          (0x00000007)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_LSBMASK               (0x00000007)
#define MSVDX_CMDS_VC1_RANGE_MAPPING_FLAGS_LUMA_RANGE_MAP_SHIFT         (0)

#define MSVDX_CMDS_SLICE_PARAMS_OFFSET          (0x0400)

// MSVDX_CMDS     SLICE_PARAMS     VC1_PREV_INT_COMP
#define MSVDX_CMDS_SLICE_PARAMS_VC1_PREV_INT_COMP_MASK          (0x0C000000)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_PREV_INT_COMP_LSBMASK               (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_PREV_INT_COMP_SHIFT         (26)

// MSVDX_CMDS     SLICE_PARAMS     VC1_BACK_INT_COMP
#define MSVDX_CMDS_SLICE_PARAMS_VC1_BACK_INT_COMP_MASK          (0x03000000)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_BACK_INT_COMP_LSBMASK               (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_BACK_INT_COMP_SHIFT         (24)

// MSVDX_CMDS     SLICE_PARAMS     CONSTRAINED_INTRA_PRED
#define MSVDX_CMDS_SLICE_PARAMS_CONSTRAINED_INTRA_PRED_MASK             (0x00800000)
#define MSVDX_CMDS_SLICE_PARAMS_CONSTRAINED_INTRA_PRED_LSBMASK          (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_CONSTRAINED_INTRA_PRED_SHIFT            (23)

// MSVDX_CMDS     SLICE_PARAMS     RND_CTL_BIT
#define MSVDX_CMDS_SLICE_PARAMS_RND_CTL_BIT_MASK                (0x00400000)
#define MSVDX_CMDS_SLICE_PARAMS_RND_CTL_BIT_LSBMASK             (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_RND_CTL_BIT_SHIFT               (22)

// MSVDX_CMDS     SLICE_PARAMS     MODE_CONFIG
#define MSVDX_CMDS_SLICE_PARAMS_MODE_CONFIG_MASK                (0x003E0000)
#define MSVDX_CMDS_SLICE_PARAMS_MODE_CONFIG_LSBMASK             (0x0000001F)
#define MSVDX_CMDS_SLICE_PARAMS_MODE_CONFIG_SHIFT               (17)

// MSVDX_CMDS     SLICE_PARAMS     SUBPEL_FILTER_MODE
#define MSVDX_CMDS_SLICE_PARAMS_SUBPEL_FILTER_MODE_MASK         (0x00010000)
#define MSVDX_CMDS_SLICE_PARAMS_SUBPEL_FILTER_MODE_LSBMASK              (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_SUBPEL_FILTER_MODE_SHIFT                (16)

// MSVDX_CMDS     SLICE_PARAMS     VC1_FASTUVMC
#define MSVDX_CMDS_SLICE_PARAMS_VC1_FASTUVMC_MASK               (0x00008000)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_FASTUVMC_LSBMASK            (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_VC1_FASTUVMC_SHIFT              (15)

// MSVDX_CMDS     SLICE_PARAMS     LOOPFILTER
#define MSVDX_CMDS_SLICE_PARAMS_LOOPFILTER_MASK         (0x00004000)
#define MSVDX_CMDS_SLICE_PARAMS_LOOPFILTER_LSBMASK              (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_LOOPFILTER_SHIFT                (14)

// MSVDX_CMDS     SLICE_PARAMS     DISABLE_DEBLOCK_FILTER_IDC
#define MSVDX_CMDS_SLICE_PARAMS_DISABLE_DEBLOCK_FILTER_IDC_MASK         (0x00003000)
#define MSVDX_CMDS_SLICE_PARAMS_DISABLE_DEBLOCK_FILTER_IDC_LSBMASK              (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_DISABLE_DEBLOCK_FILTER_IDC_SHIFT                (12)

// MSVDX_CMDS     SLICE_PARAMS     SLICE_ALPHA_CO_OFFSET_DIV2
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_ALPHA_CO_OFFSET_DIV2_MASK         (0x00000F00)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_ALPHA_CO_OFFSET_DIV2_LSBMASK              (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_ALPHA_CO_OFFSET_DIV2_SHIFT                (8)

// MSVDX_CMDS     SLICE_PARAMS     SLICE_BETA_OFFSET_DIV2
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_BETA_OFFSET_DIV2_MASK             (0x000000F0)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_BETA_OFFSET_DIV2_LSBMASK          (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_BETA_OFFSET_DIV2_SHIFT            (4)

// MSVDX_CMDS     SLICE_PARAMS     SLICE_FIELD_TYPE
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_FIELD_TYPE_MASK           (0x0000000C)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_FIELD_TYPE_LSBMASK                (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_FIELD_TYPE_SHIFT          (2)

// MSVDX_CMDS     SLICE_PARAMS     SLICE_CODE_TYPE
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_CODE_TYPE_MASK            (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_CODE_TYPE_LSBMASK         (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_SLICE_CODE_TYPE_SHIFT           (0)

#define MSVDX_CMDS_END_SLICE_PICTURE_OFFSET             (0x0404)

// MSVDX_CMDS     END_SLICE_PICTURE     FLUSH_VDEB
#define MSVDX_CMDS_END_SLICE_PICTURE_FLUSH_VDEB_MASK            (0x00000002)
#define MSVDX_CMDS_END_SLICE_PICTURE_FLUSH_VDEB_LSBMASK         (0x00000001)
#define MSVDX_CMDS_END_SLICE_PICTURE_FLUSH_VDEB_SHIFT           (1)

// MSVDX_CMDS     END_SLICE_PICTURE     PICTURE_END
#define MSVDX_CMDS_END_SLICE_PICTURE_PICTURE_END_MASK           (0x00000001)
#define MSVDX_CMDS_END_SLICE_PICTURE_PICTURE_END_LSBMASK                (0x00000001)
#define MSVDX_CMDS_END_SLICE_PICTURE_PICTURE_END_SHIFT          (0)

#define MSVDX_CMDS_MACROBLOCK_NUMBER_OFFSET             (0x0408)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_LEFT2_INTER
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT2_INTER_MASK                (0x40000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT2_INTER_LSBMASK             (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT2_INTER_SHIFT               (30)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_LEFT1_INTER
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT1_INTER_MASK                (0x20000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT1_INTER_LSBMASK             (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_LEFT1_INTER_SHIFT               (29)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ABOVE_RIGHT_INTER
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_INTER_MASK          (0x10000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_INTER_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_INTER_SHIFT         (28)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ABOVE_INTER
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_INTER_MASK                (0x08000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_INTER_LSBMASK             (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_INTER_SHIFT               (27)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ABOVE_LEFT_INTER
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_INTER_MASK           (0x04000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_INTER_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_INTER_SHIFT          (26)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ABOVE_RIGHT
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_MASK                (0x02000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_LSBMASK             (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_RIGHT_SHIFT               (25)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ABOVE_LEFT
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_MASK         (0x01000000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_LSBMASK              (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ABOVE_LEFT_SHIFT                (24)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_ERROR_FLAG
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ERROR_FLAG_MASK         (0x00400000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ERROR_FLAG_LSBMASK              (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_ERROR_FLAG_SHIFT                (22)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_OVERFLAG
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_OVERFLAG_MASK           (0x00200000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_OVERFLAG_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_OVERFLAG_SHIFT          (21)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_FIELD_CODE
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_FIELD_CODE_MASK         (0x00100000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_FIELD_CODE_LSBMASK              (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_FIELD_CODE_SHIFT                (20)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_SLICE_TOP
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_TOP_MASK          (0x00080000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_TOP_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_TOP_SHIFT         (19)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_SLICE_LHS
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_LHS_MASK          (0x00040000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_LHS_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_SLICE_LHS_SHIFT         (18)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_CODE_TYPE
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_CODE_TYPE_MASK          (0x00030000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_CODE_TYPE_LSBMASK               (0x00000003)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_CODE_TYPE_SHIFT         (16)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_NO_Y
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_Y_MASK               (0x0000FF00)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_Y_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_Y_SHIFT              (8)

// MSVDX_CMDS     MACROBLOCK_NUMBER     MB_NO_X
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_X_MASK               (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_X_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_MB_NO_X_SHIFT              (0)

#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_OFFSET         (0x040C)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT     TRANSFORM_SIZE_8X8_FLAG
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_TRANSFORM_SIZE_8X8_FLAG_MASK           (0x01000000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_TRANSFORM_SIZE_8X8_FLAG_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_TRANSFORM_SIZE_8X8_FLAG_SHIFT          (24)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT     MB_QUANT_CHROMA_CR
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CR_MASK                (0x003F0000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CR_LSBMASK             (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CR_SHIFT               (16)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT     MB_QUANT_CHROMA_CB
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CB_MASK                (0x00003F00)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CB_LSBMASK             (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_CHROMA_CB_SHIFT               (8)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT     MB_QUANT_LUMA
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_LUMA_MASK             (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_LUMA_LSBMASK          (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_MB_QUANT_LUMA_SHIFT            (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_OFFSET               (0x0410)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_SIZE     VC1_FIELDTX
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_VC1_FIELDTX_MASK             (0x00001000)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_VC1_FIELDTX_LSBMASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_VC1_FIELDTX_SHIFT            (12)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_SIZE     MB_BLOCK_TRANSFORM_SIZE
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_MB_BLOCK_TRANSFORM_SIZE_MASK         (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_MB_BLOCK_TRANSFORM_SIZE_LSBMASK              (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_MB_BLOCK_TRANSFORM_SIZE_SHIFT                (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_OFFSET               (0x0414)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_ZERO     MB_BLOCK_TRANSFORM_ZERO
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_MB_BLOCK_TRANSFORM_ZERO_MASK         (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_MB_BLOCK_TRANSFORM_ZERO_LSBMASK              (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_MB_BLOCK_TRANSFORM_ZERO_SHIFT                (0)

#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_OFFSET            (0x0418)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     REVERSE_FLAG_ORDER
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_REVERSE_FLAG_ORDER_MASK           (0x00008000)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_REVERSE_FLAG_ORDER_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_REVERSE_FLAG_ORDER_SHIFT          (15)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     VA_ADD_128
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_ADD_128_MASK           (0x00004000)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_ADD_128_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_ADD_128_SHIFT          (14)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     VA_DATA_FORMAT
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_DATA_FORMAT_MASK               (0x00003000)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_DATA_FORMAT_LSBMASK            (0x00000003)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_VA_DATA_FORMAT_SHIFT              (12)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     RESIDUAL_FIELD_CODED
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_RESIDUAL_FIELD_CODED_MASK         (0x00000100)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_RESIDUAL_FIELD_CODED_LSBMASK              (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_RESIDUAL_FIELD_CODED_SHIFT                (8)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     CR_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CR_FROM_VEC_MASK          (0x00000020)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CR_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CR_FROM_VEC_SHIFT         (5)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     CB_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CB_FROM_VEC_MASK          (0x00000010)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CB_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_CB_FROM_VEC_SHIFT         (4)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     Y3_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y3_FROM_VEC_MASK          (0x00000008)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y3_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y3_FROM_VEC_SHIFT         (3)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     Y2_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y2_FROM_VEC_MASK          (0x00000004)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y2_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y2_FROM_VEC_SHIFT         (2)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     Y1_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y1_FROM_VEC_MASK          (0x00000002)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y1_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y1_FROM_VEC_SHIFT         (1)

// MSVDX_CMDS     MACROBLOCK_RESIDUAL_FORMAT     Y0_FROM_VEC
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y0_FROM_VEC_MASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y0_FROM_VEC_LSBMASK               (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_RESIDUAL_FORMAT_Y0_FROM_VEC_SHIFT         (0)

#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_OFFSET          (0x0440)

// MSVDX_CMDS     H264_IMPLICIT_WEIGHT_AVERAGE     IMPLICIT_W1
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W1_MASK                (0x0003FE00)
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W1_LSBMASK             (0x000001FF)
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W1_SHIFT               (9)

// MSVDX_CMDS     H264_IMPLICIT_WEIGHT_AVERAGE     IMPLICIT_W0
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W0_MASK                (0x000001FF)
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W0_LSBMASK             (0x000001FF)
#define MSVDX_CMDS_H264_IMPLICIT_WEIGHT_AVERAGE_IMPLICIT_W0_SHIFT               (0)

#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_OFFSET              (0x0450)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY     INLOOP_Y3_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y3_BOUNDARY_MASK             (0xFF000000)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y3_BOUNDARY_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y3_BOUNDARY_SHIFT            (24)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY     INLOOP_Y2_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y2_BOUNDARY_MASK             (0x00FF0000)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y2_BOUNDARY_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y2_BOUNDARY_SHIFT            (16)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY     INLOOP_Y1_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y1_BOUNDARY_MASK             (0x0000FF00)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y1_BOUNDARY_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y1_BOUNDARY_SHIFT            (8)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY     INLOOP_Y0_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y0_BOUNDARY_MASK             (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y0_BOUNDARY_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_INLOOP_Y0_BOUNDARY_SHIFT            (0)

#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_OFFSET            (0x0454)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY     INLOOP_CR_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CR_BOUNDARY_MASK           (0x0000FF00)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CR_BOUNDARY_LSBMASK                (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CR_BOUNDARY_SHIFT          (8)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY     INLOOP_CB_BOUNDARY
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CB_BOUNDARY_MASK           (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CB_BOUNDARY_LSBMASK                (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_INLOOP_CB_BOUNDARY_SHIFT          (0)

#define MSVDX_CMDS_JPEG_BLOCK_OFFSET            (0x0480)

// MSVDX_CMDS     JPEG_BLOCK     FRAME_INDEX
#define MSVDX_CMDS_JPEG_BLOCK_FRAME_INDEX_MASK          (0x0F000000)
#define MSVDX_CMDS_JPEG_BLOCK_FRAME_INDEX_LSBMASK               (0x0000000F)
#define MSVDX_CMDS_JPEG_BLOCK_FRAME_INDEX_SHIFT         (24)

// MSVDX_CMDS     JPEG_BLOCK     BLOCK_Y_OFFSET
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_Y_OFFSET_MASK               (0x00FFF000)
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_Y_OFFSET_LSBMASK            (0x00000FFF)
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_Y_OFFSET_SHIFT              (12)

// MSVDX_CMDS     JPEG_BLOCK     BLOCK_X_OFFSET
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_X_OFFSET_MASK               (0x00000FFF)
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_X_OFFSET_LSBMASK            (0x00000FFF)
#define MSVDX_CMDS_JPEG_BLOCK_BLOCK_X_OFFSET_SHIFT              (0)

#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_OFFSET           (0x0600)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     RND_CTL_BIT_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_RND_CTL_BIT_ABOVE1_MASK          (0x00400000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_RND_CTL_BIT_ABOVE1_LSBMASK               (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_RND_CTL_BIT_ABOVE1_SHIFT         (22)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     MODE_CONFIG_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_MODE_CONFIG_ABOVE1_MASK          (0x003E0000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_MODE_CONFIG_ABOVE1_LSBMASK               (0x0000001F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_MODE_CONFIG_ABOVE1_SHIFT         (17)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     SUBPEL_FILTER_MODE_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SUBPEL_FILTER_MODE_ABOVE1_MASK           (0x00010000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SUBPEL_FILTER_MODE_ABOVE1_LSBMASK                (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SUBPEL_FILTER_MODE_ABOVE1_SHIFT          (16)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     VC1_FASTUVMC_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_VC1_FASTUVMC_ABOVE1_MASK         (0x00008000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_VC1_FASTUVMC_ABOVE1_LSBMASK              (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_VC1_FASTUVMC_ABOVE1_SHIFT                (15)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     LOOPFILTER_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_LOOPFILTER_ABOVE1_MASK           (0x00004000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_LOOPFILTER_ABOVE1_LSBMASK                (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_LOOPFILTER_ABOVE1_SHIFT          (14)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     DISABLE_DEBLOCK_FILTER_IDC_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_DISABLE_DEBLOCK_FILTER_IDC_ABOVE1_MASK           (0x00003000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_DISABLE_DEBLOCK_FILTER_IDC_ABOVE1_LSBMASK                (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_DISABLE_DEBLOCK_FILTER_IDC_ABOVE1_SHIFT          (12)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE1_MASK           (0x00000F00)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE1_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE1_SHIFT          (8)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     SLICE_BETA_OFFSET_DIV2_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_BETA_OFFSET_DIV2_ABOVE1_MASK               (0x000000F0)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_BETA_OFFSET_DIV2_ABOVE1_LSBMASK            (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_BETA_OFFSET_DIV2_ABOVE1_SHIFT              (4)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     SLICE_FIELD_TYPE_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_FIELD_TYPE_ABOVE1_MASK             (0x0000000C)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_FIELD_TYPE_ABOVE1_LSBMASK          (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_FIELD_TYPE_ABOVE1_SHIFT            (2)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE1     SLICE_CODE_TYPE_ABOVE1
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_CODE_TYPE_ABOVE1_MASK              (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_CODE_TYPE_ABOVE1_LSBMASK           (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE1_SLICE_CODE_TYPE_ABOVE1_SHIFT             (0)

#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_OFFSET              (0x0608)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_ERROR_FLAG_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_ERROR_FLAG_ABOVE1_MASK           (0x00400000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_ERROR_FLAG_ABOVE1_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_ERROR_FLAG_ABOVE1_SHIFT          (22)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_OVERFLAG_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_OVERFLAG_ABOVE1_MASK             (0x00200000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_OVERFLAG_ABOVE1_LSBMASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_OVERFLAG_ABOVE1_SHIFT            (21)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_FIELD_CODE_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_FIELD_CODE_ABOVE1_MASK           (0x00100000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_FIELD_CODE_ABOVE1_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_FIELD_CODE_ABOVE1_SHIFT          (20)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_SLICE_TOP_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_TOP_ABOVE1_MASK            (0x00080000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_TOP_ABOVE1_LSBMASK         (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_TOP_ABOVE1_SHIFT           (19)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_SLICE_LHS_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_LHS_ABOVE1_MASK            (0x00040000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_LHS_ABOVE1_LSBMASK         (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_SLICE_LHS_ABOVE1_SHIFT           (18)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_CODE_TYPE_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_CODE_TYPE_ABOVE1_MASK            (0x00030000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_CODE_TYPE_ABOVE1_LSBMASK         (0x00000003)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_CODE_TYPE_ABOVE1_SHIFT           (16)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_NO_Y_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_Y_ABOVE1_MASK         (0x0000FF00)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_Y_ABOVE1_LSBMASK              (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_Y_ABOVE1_SHIFT                (8)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE1     MB_NO_X_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_X_ABOVE1_MASK         (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_X_ABOVE1_LSBMASK              (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE1_MB_NO_X_ABOVE1_SHIFT                (0)

#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_OFFSET          (0x060C)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE1     TRANSFORM_SIZE_8X8_FLAG_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_TRANSFORM_SIZE_8X8_FLAG_ABOVE1_MASK             (0x01000000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_TRANSFORM_SIZE_8X8_FLAG_ABOVE1_LSBMASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_TRANSFORM_SIZE_8X8_FLAG_ABOVE1_SHIFT            (24)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE1     MB_QUANT_CHROMA_CR_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CR_ABOVE1_MASK          (0x003F0000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CR_ABOVE1_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CR_ABOVE1_SHIFT         (16)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE1     MB_QUANT_CHROMA_CB_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CB_ABOVE1_MASK          (0x00003F00)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CB_ABOVE1_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_CHROMA_CB_ABOVE1_SHIFT         (8)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE1     MB_QUANT_LUMA_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_LUMA_ABOVE1_MASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_LUMA_ABOVE1_LSBMASK            (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE1_MB_QUANT_LUMA_ABOVE1_SHIFT              (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE1_OFFSET                (0x0610)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE1     MB_BLOCK_TRANSFORM_SIZE_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE1_MB_BLOCK_TRANSFORM_SIZE_ABOVE1_MASK           (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE1_MB_BLOCK_TRANSFORM_SIZE_ABOVE1_LSBMASK                (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE1_MB_BLOCK_TRANSFORM_SIZE_ABOVE1_SHIFT          (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE1_OFFSET                (0x0614)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE1     MB_BLOCK_TRANSFORM_ZERO_ABOVE1
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE1_MB_BLOCK_TRANSFORM_ZERO_ABOVE1_MASK           (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE1_MB_BLOCK_TRANSFORM_ZERO_ABOVE1_LSBMASK                (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE1_MB_BLOCK_TRANSFORM_ZERO_ABOVE1_SHIFT          (0)

#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_OFFSET               (0x0650)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY_ABOVE1     INLOOP_Y3_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y3_BOUNDARY_ABOVE1_MASK               (0xFF000000)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y3_BOUNDARY_ABOVE1_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y3_BOUNDARY_ABOVE1_SHIFT              (24)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY_ABOVE1     INLOOP_Y2_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y2_BOUNDARY_ABOVE1_MASK               (0x00FF0000)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y2_BOUNDARY_ABOVE1_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y2_BOUNDARY_ABOVE1_SHIFT              (16)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY_ABOVE1     INLOOP_Y1_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y1_BOUNDARY_ABOVE1_MASK               (0x0000FF00)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y1_BOUNDARY_ABOVE1_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y1_BOUNDARY_ABOVE1_SHIFT              (8)

// MSVDX_CMDS     VC1_INLOOP_LUMA_BOUNDARY_ABOVE1     INLOOP_Y0_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y0_BOUNDARY_ABOVE1_MASK               (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y0_BOUNDARY_ABOVE1_LSBMASK            (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_LUMA_BOUNDARY_ABOVE1_INLOOP_Y0_BOUNDARY_ABOVE1_SHIFT              (0)

#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_OFFSET             (0x0654)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1     INLOOP_CR_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CR_BOUNDARY_ABOVE1_MASK             (0x0000FF00)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CR_BOUNDARY_ABOVE1_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CR_BOUNDARY_ABOVE1_SHIFT            (8)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1     INLOOP_CB_BOUNDARY_ABOVE1
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CB_BOUNDARY_ABOVE1_MASK             (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CB_BOUNDARY_ABOVE1_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE1_INLOOP_CB_BOUNDARY_ABOVE1_SHIFT            (0)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, EXT_ROT_ROW_STRIDE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_EXT_ROT_ROW_STRIDE_MASK          (0xFFC00000)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_EXT_ROT_ROW_STRIDE_LSBMASK               (0x000003FF)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_EXT_ROT_ROW_STRIDE_SHIFT         (22)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_EXT_ROT_ROW_STRIDE_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, USE_AUX_LINE_BUF
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_MASK            (0x00000400)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_LSBMASK         (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_SHIFT           (10)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_SIGNED_FIELD    IMG_FALSE

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, SCALE_INPUT_SIZE_SEL
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_INPUT_SIZE_SEL_MASK                (0x00000200)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_INPUT_SIZE_SEL_LSBMASK             (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_INPUT_SIZE_SEL_SHIFT               (9)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_INPUT_SIZE_SEL_SIGNED_FIELD        IMG_FALSE

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, USE_EXT_ROT_ROW_STRIDE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_EXT_ROT_ROW_STRIDE_MASK              (0x00000100)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_EXT_ROT_ROW_STRIDE_LSBMASK           (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_EXT_ROT_ROW_STRIDE_SHIFT             (8)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_EXT_ROT_ROW_STRIDE_SIGNED_FIELD      IMG_FALSE

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, SCALE_ENABLE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_ENABLE_MASK                (0x00000080)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_ENABLE_LSBMASK             (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_ENABLE_SHIFT               (7)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_SCALE_ENABLE_SIGNED_FIELD        IMG_FALSE
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_OFFSET           (0x0800)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     RND_CTL_BIT_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_RND_CTL_BIT_ABOVE2_MASK          (0x00400000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_RND_CTL_BIT_ABOVE2_LSBMASK               (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_RND_CTL_BIT_ABOVE2_SHIFT         (22)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     MODE_CONFIG_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_MODE_CONFIG_ABOVE2_MASK          (0x003E0000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_MODE_CONFIG_ABOVE2_LSBMASK               (0x0000001F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_MODE_CONFIG_ABOVE2_SHIFT         (17)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     SUBPEL_FILTER_MODE_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SUBPEL_FILTER_MODE_ABOVE2_MASK           (0x00010000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SUBPEL_FILTER_MODE_ABOVE2_LSBMASK                (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SUBPEL_FILTER_MODE_ABOVE2_SHIFT          (16)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     VC1_FASTUVMC_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_VC1_FASTUVMC_ABOVE2_MASK         (0x00008000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_VC1_FASTUVMC_ABOVE2_LSBMASK              (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_VC1_FASTUVMC_ABOVE2_SHIFT                (15)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     LOOPFILTER_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_LOOPFILTER_ABOVE2_MASK           (0x00004000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_LOOPFILTER_ABOVE2_LSBMASK                (0x00000001)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_LOOPFILTER_ABOVE2_SHIFT          (14)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     DISABLE_DEBLOCK_FILTER_IDC_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_DISABLE_DEBLOCK_FILTER_IDC_ABOVE2_MASK           (0x00003000)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_DISABLE_DEBLOCK_FILTER_IDC_ABOVE2_LSBMASK                (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_DISABLE_DEBLOCK_FILTER_IDC_ABOVE2_SHIFT          (12)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE2_MASK           (0x00000F00)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE2_LSBMASK                (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_ALPHA_CO_OFFSET_DIV2_ABOVE2_SHIFT          (8)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     SLICE_BETA_OFFSET_DIV2_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_BETA_OFFSET_DIV2_ABOVE2_MASK               (0x000000F0)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_BETA_OFFSET_DIV2_ABOVE2_LSBMASK            (0x0000000F)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_BETA_OFFSET_DIV2_ABOVE2_SHIFT              (4)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     SLICE_FIELD_TYPE_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_FIELD_TYPE_ABOVE2_MASK             (0x0000000C)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_FIELD_TYPE_ABOVE2_LSBMASK          (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_FIELD_TYPE_ABOVE2_SHIFT            (2)

// MSVDX_CMDS     SLICE_PARAMS_ABOVE2     SLICE_CODE_TYPE_ABOVE2
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_CODE_TYPE_ABOVE2_MASK              (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_CODE_TYPE_ABOVE2_LSBMASK           (0x00000003)
#define MSVDX_CMDS_SLICE_PARAMS_ABOVE2_SLICE_CODE_TYPE_ABOVE2_SHIFT             (0)

#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_OFFSET              (0x0808)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_ERROR_FLAG_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_ERROR_FLAG_ABOVE2_MASK           (0x00400000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_ERROR_FLAG_ABOVE2_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_ERROR_FLAG_ABOVE2_SHIFT          (22)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_OVERFLAG_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_OVERFLAG_ABOVE2_MASK             (0x00200000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_OVERFLAG_ABOVE2_LSBMASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_OVERFLAG_ABOVE2_SHIFT            (21)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_FIELD_CODE_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_FIELD_CODE_ABOVE2_MASK           (0x00100000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_FIELD_CODE_ABOVE2_LSBMASK                (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_FIELD_CODE_ABOVE2_SHIFT          (20)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_SLICE_TOP_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_TOP_ABOVE2_MASK            (0x00080000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_TOP_ABOVE2_LSBMASK         (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_TOP_ABOVE2_SHIFT           (19)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_SLICE_LHS_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_LHS_ABOVE2_MASK            (0x00040000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_LHS_ABOVE2_LSBMASK         (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_SLICE_LHS_ABOVE2_SHIFT           (18)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_CODE_TYPE_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_CODE_TYPE_ABOVE2_MASK            (0x00030000)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_CODE_TYPE_ABOVE2_LSBMASK         (0x00000003)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_CODE_TYPE_ABOVE2_SHIFT           (16)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_NO_Y_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_Y_ABOVE2_MASK         (0x0000FF00)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_Y_ABOVE2_LSBMASK              (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_Y_ABOVE2_SHIFT                (8)

// MSVDX_CMDS     MACROBLOCK_NUMBER_ABOVE2     MB_NO_X_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_X_ABOVE2_MASK         (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_X_ABOVE2_LSBMASK              (0x000000FF)
#define MSVDX_CMDS_MACROBLOCK_NUMBER_ABOVE2_MB_NO_X_ABOVE2_SHIFT                (0)

#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_OFFSET          (0x080C)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE2     TRANSFORM_SIZE_8X8_FLAG_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_TRANSFORM_SIZE_8X8_FLAG_ABOVE2_MASK             (0x01000000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_TRANSFORM_SIZE_8X8_FLAG_ABOVE2_LSBMASK          (0x00000001)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_TRANSFORM_SIZE_8X8_FLAG_ABOVE2_SHIFT            (24)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE2     MB_QUANT_CHROMA_CR_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CR_ABOVE2_MASK          (0x003F0000)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CR_ABOVE2_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CR_ABOVE2_SHIFT         (16)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE2     MB_QUANT_CHROMA_CB_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CB_ABOVE2_MASK          (0x00003F00)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CB_ABOVE2_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_CHROMA_CB_ABOVE2_SHIFT         (8)

// MSVDX_CMDS     MACROBLOCK_H264_QUANT_ABOVE2     MB_QUANT_LUMA_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_LUMA_ABOVE2_MASK               (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_LUMA_ABOVE2_LSBMASK            (0x0000003F)
#define MSVDX_CMDS_MACROBLOCK_H264_QUANT_ABOVE2_MB_QUANT_LUMA_ABOVE2_SHIFT              (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE2_OFFSET                (0x0810)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE2     MB_BLOCK_TRANSFORM_SIZE_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE2_MB_BLOCK_TRANSFORM_SIZE_ABOVE2_MASK           (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE2_MB_BLOCK_TRANSFORM_SIZE_ABOVE2_LSBMASK                (0x00000FFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_SIZE_ABOVE2_MB_BLOCK_TRANSFORM_SIZE_ABOVE2_SHIFT          (0)

#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE2_OFFSET                (0x0814)

// MSVDX_CMDS     MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE2     MB_BLOCK_TRANSFORM_ZERO_ABOVE2
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE2_MB_BLOCK_TRANSFORM_ZERO_ABOVE2_MASK           (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE2_MB_BLOCK_TRANSFORM_ZERO_ABOVE2_LSBMASK                (0x00FFFFFF)
#define MSVDX_CMDS_MACROBLOCK_BLOCK_TRANSFORM_ZERO_ABOVE2_MB_BLOCK_TRANSFORM_ZERO_ABOVE2_SHIFT          (0)

#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_OFFSET             (0x0854)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2     INLOOP_CR_BOUNDARY_ABOVE2
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CR_BOUNDARY_ABOVE2_MASK             (0x0000FF00)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CR_BOUNDARY_ABOVE2_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CR_BOUNDARY_ABOVE2_SHIFT            (8)

// MSVDX_CMDS     VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2     INLOOP_CB_BOUNDARY_ABOVE2
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CB_BOUNDARY_ABOVE2_MASK             (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CB_BOUNDARY_ABOVE2_LSBMASK          (0x000000FF)
#define MSVDX_CMDS_VC1_INLOOP_CHROMA_BOUNDARY_ABOVE2_INLOOP_CB_BOUNDARY_ABOVE2_SHIFT            (0)

#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_OFFSET           (0x003C)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, ROTATION_ROW_STRIDE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_ROW_STRIDE_MASK         (0x00000070)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_ROW_STRIDE_LSBMASK              (0x00000007)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_ROW_STRIDE_SHIFT                (4)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, ALT_PICTURE_ENABLE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ALT_PICTURE_ENABLE_MASK          (0x00000008)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ALT_PICTURE_ENABLE_LSBMASK               (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ALT_PICTURE_ENABLE_SHIFT         (3)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, RECON_WRITE_DISABLE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_RECON_WRITE_DISABLE_MASK         (0x00000004)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_RECON_WRITE_DISABLE_LSBMASK              (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_RECON_WRITE_DISABLE_SHIFT                (2)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, ROTATION_MODE
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_MODE_MASK               (0x00000003)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_MODE_LSBMASK            (0x00000003)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_ROTATION_MODE_SHIFT              (0)

// MSVDX_CMDS, ALTERNATIVE_OUTPUT_PICTURE_ROTATION, USE_AUX_LINE_BUF
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_MASK            (0x00000400)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_LSBMASK         (0x00000001)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_SHIFT           (10)
#define MSVDX_CMDS_ALTERNATIVE_OUTPUT_PICTURE_ROTATION_USE_AUX_LINE_BUF_SIGNED_FIELD    IMG_FALSE

#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_OFFSET           (0x0040)

// MSVDX_CMDS, EXTENDED_ROW_STRIDE, RPR_ROW_STRIDE
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_RPR_ROW_STRIDE_MASK              (0xFFC00000)
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_RPR_ROW_STRIDE_LSBMASK           (0x000003FF)
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_RPR_ROW_STRIDE_SHIFT             (22)

// MSVDX_CMDS, EXTENDED_ROW_STRIDE, EXT_ROW_STRIDE
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_EXT_ROW_STRIDE_MASK              (0x0000FFC0)
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_EXT_ROW_STRIDE_LSBMASK           (0x000003FF)
#define MSVDX_CMDS_EXTENDED_ROW_STRIDE_EXT_ROW_STRIDE_SHIFT             (6)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_OFFSET           (0x0050)

// MSVDX_CMDS, SCALED_DISPLAY_SIZE, SCALE_DISPLAY_HEIGHT
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_HEIGHT_MASK                (0x00FFF000)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_HEIGHT_LSBMASK             (0x00000FFF)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_HEIGHT_SHIFT               (12)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_HEIGHT_SIGNED_FIELD        IMG_FALSE

// MSVDX_CMDS, SCALED_DISPLAY_SIZE, SCALE_DISPLAY_WIDTH
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_WIDTH_MASK         (0x00000FFF)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_WIDTH_LSBMASK              (0x00000FFF)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_WIDTH_SHIFT                (0)
#define MSVDX_CMDS_SCALED_DISPLAY_SIZE_SCALE_DISPLAY_WIDTH_SIGNED_FIELD IMG_FALSE

#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_OFFSET              (0x0054)

// MSVDX_CMDS, HORIZONTAL_SCALE_CONTROL, HORIZONTAL_INITIAL_POS
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_INITIAL_POS_MASK         (0x7FFF0000)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_INITIAL_POS_LSBMASK              (0x00007FFF)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_INITIAL_POS_SHIFT                (16)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_INITIAL_POS_SIGNED_FIELD IMG_FALSE

// MSVDX_CMDS, HORIZONTAL_SCALE_CONTROL, HORIZONTAL_SCALE_PITCH
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_SCALE_PITCH_MASK         (0x00007FFF)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_SCALE_PITCH_LSBMASK              (0x00007FFF)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_SCALE_PITCH_SHIFT                (0)
#define MSVDX_CMDS_HORIZONTAL_SCALE_CONTROL_HORIZONTAL_SCALE_PITCH_SIGNED_FIELD IMG_FALSE

#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_OFFSET                (0x0058)

// MSVDX_CMDS, VERTICAL_SCALE_CONTROL, VERTICAL_INITIAL_POS
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_INITIAL_POS_MASK             (0x7FFF0000)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_INITIAL_POS_LSBMASK          (0x00007FFF)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_INITIAL_POS_SHIFT            (16)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_INITIAL_POS_SIGNED_FIELD     IMG_FALSE

// MSVDX_CMDS, VERTICAL_SCALE_CONTROL, VERTICAL_SCALE_PITCH
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_SCALE_PITCH_MASK             (0x00007FFF)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_SCALE_PITCH_LSBMASK          (0x00007FFF)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_SCALE_PITCH_SHIFT            (0)
#define MSVDX_CMDS_VERTICAL_SCALE_CONTROL_VERTICAL_SCALE_PITCH_SIGNED_FIELD     IMG_FALSE

#define MSVDX_CMDS_AUX_LINE_BUFFER_BASE_ADDRESS_OFFSET          (0x01EC)

// MSVDX_CMDS, AUX_LINE_BUFFER_BASE_ADDRESS, AUX_LINE_BUF_BASE_ADDR
#define MSVDX_CMDS_AUX_LINE_BUFFER_BASE_ADDRESS_AUX_LINE_BUF_BASE_ADDR_MASK             (0xFFFFFFC0)
#define MSVDX_CMDS_AUX_LINE_BUFFER_BASE_ADDRESS_AUX_LINE_BUF_BASE_ADDR_LSBMASK          (0x03FFFFFF)
#define MSVDX_CMDS_AUX_LINE_BUFFER_BASE_ADDRESS_AUX_LINE_BUF_BASE_ADDR_SHIFT            (6)
#define MSVDX_CMDS_AUX_LINE_BUFFER_BASE_ADDRESS_AUX_LINE_BUF_BASE_ADDR_SIGNED_FIELD     IMG_FALSE

#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_OFFSET               (0x01F0)

// MSVDX_CMDS, VP8_LOOP_FILTER_CONTROL, VP8_MODE_REF_LF_DELTA_ENABLED
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_MODE_REF_LF_DELTA_ENABLED_MASK           (0x00000008)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_MODE_REF_LF_DELTA_ENABLED_LSBMASK                (0x00000001)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_MODE_REF_LF_DELTA_ENABLED_SHIFT          (3)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_MODE_REF_LF_DELTA_ENABLED_SIGNED_FIELD   IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_CONTROL, VP8_SHARPNESS_LEVEL
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_SHARPNESS_LEVEL_MASK             (0x00000007)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_SHARPNESS_LEVEL_LSBMASK          (0x00000007)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_SHARPNESS_LEVEL_SHIFT            (0)
#define MSVDX_CMDS_VP8_LOOP_FILTER_CONTROL_VP8_SHARPNESS_LEVEL_SIGNED_FIELD     IMG_FALSE

#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_OFFSET                (0x01F4)

// MSVDX_CMDS, VP8_LOOP_FILTER_BASELINE_LEVEL, VP8_LF_BASLINE3
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE3_MASK          (0x3F000000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE3_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE3_SHIFT         (24)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE3_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_BASELINE_LEVEL, VP8_LF_BASLINE2
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE2_MASK          (0x003F0000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE2_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE2_SHIFT         (16)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE2_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_BASELINE_LEVEL, VP8_LF_BASLINE1
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE1_MASK          (0x00003F00)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE1_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE1_SHIFT         (8)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE1_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_BASELINE_LEVEL, VP8_LF_BASLINE0
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE0_MASK          (0x0000003F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE0_LSBMASK               (0x0000003F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE0_SHIFT         (0)
#define MSVDX_CMDS_VP8_LOOP_FILTER_BASELINE_LEVEL_VP8_LF_BASLINE0_SIGNED_FIELD  IMG_FALSE

#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_OFFSET              (0x01F8)

// MSVDX_CMDS, VP8_LOOP_FILTER_REFERENCE_DELTAS, VP8_REF_LF_DELTA3
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA3_MASK              (0x7F000000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA3_LSBMASK           (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA3_SHIFT             (24)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA3_SIGNED_FIELD      IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_REFERENCE_DELTAS, VP8_REF_LF_DELTA2
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA2_MASK              (0x007F0000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA2_LSBMASK           (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA2_SHIFT             (16)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA2_SIGNED_FIELD      IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_REFERENCE_DELTAS, VP8_REF_LF_DELTA1
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA1_MASK              (0x00007F00)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA1_LSBMASK           (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA1_SHIFT             (8)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA1_SIGNED_FIELD      IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_REFERENCE_DELTAS, VP8_REF_LF_DELTA0
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA0_MASK              (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA0_LSBMASK           (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA0_SHIFT             (0)
#define MSVDX_CMDS_VP8_LOOP_FILTER_REFERENCE_DELTAS_VP8_REF_LF_DELTA0_SIGNED_FIELD      IMG_FALSE

#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_OFFSET           (0x01FC)

// MSVDX_CMDS, VP8_LOOP_FILTER_MODE_DELTAS, VP8_MODE_LF_DELTA3
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA3_MASK          (0x7F000000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA3_LSBMASK               (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA3_SHIFT         (24)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA3_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_MODE_DELTAS, VP8_MODE_LF_DELTA2
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA2_MASK          (0x007F0000)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA2_LSBMASK               (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA2_SHIFT         (16)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA2_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_MODE_DELTAS, VP8_MODE_LF_DELTA1
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA1_MASK          (0x00007F00)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA1_LSBMASK               (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA1_SHIFT         (8)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA1_SIGNED_FIELD  IMG_FALSE

// MSVDX_CMDS, VP8_LOOP_FILTER_MODE_DELTAS, VP8_MODE_LF_DELTA0
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA0_MASK          (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA0_LSBMASK               (0x0000007F)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA0_SHIFT         (0)
#define MSVDX_CMDS_VP8_LOOP_FILTER_MODE_DELTAS_VP8_MODE_LF_DELTA0_SIGNED_FIELD  IMG_FALSE

#ifdef __cplusplus
}
#endif

#endif /* __MSVDX_CMDS_IO2_H__ */
